javax.xml.registry.infomodel

## Interface ServiceBinding

- All Superinterfaces:
    ExtensibleObject, RegistryObject, URIValidator

      public interface ServiceBinding
      extends RegistryObject, URIValidator

  ServiceBinding instances are RegistryObjects that represent technical information on a specific way to access a specific interface offered by a Service instance. A ServiceBinding may have a set of SpecificationLink instances. Maps to a BindingTemplate in UDDI.
  Author:
    Farrukh S. Najmi
  See Also:
    `Concept`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSpecificationLink(SpecificationLink specificationLink)` Adds a child SpecificationLink.
    `void` | `addSpecificationLinks(Collection specificationLinks)` Adds a Collection of SpecificationLink children.
    `String` | `getAccessURI()` Gets the URI that gives access to the service via this binding.
    `Service` | `getService()` Gets the parent service for which this is a binding.
    `Collection` | `getSpecificationLinks()` Gets all children SpecificationLinks.
    `ServiceBinding` | `getTargetBinding()` Gets the next ServiceBinding in case there is a redirection from one service provider to another service provider.
    `void` | `removeSpecificationLink(SpecificationLink specificationLink)` Removes a child SpecificationLink.
    `void` | `removeSpecificationLinks(Collection specificationLinks)` Removes a Collection of children SpecificationLinks.
    `void` | `setAccessURI(String uri)` Sets the URI that gives access to the service via this binding.
    `void` | `setTargetBinding(ServiceBinding binding)` Sets the next ServiceBinding in case there is a redirection.

    - ### Methods inherited from interface javax.xml.registry.infomodel.RegistryObject

      `addAssociation, addAssociations, addClassification, addClassifications, addExternalIdentifier, addExternalIdentifiers, addExternalLink, addExternalLinks, getAssociatedObjects, getAssociations, getAuditTrail, getClassifications, getDescription, getExternalIdentifiers, getExternalLinks, getKey, getLifeCycleManager, getName, getObjectType, getRegistryPackages, getSubmittingOrganization, removeAssociation, removeAssociations, removeClassification, removeClassifications, removeExternalIdentifier, removeExternalIdentifiers, removeExternalLink, removeExternalLinks, setAssociations, setClassifications, setDescription, setExternalIdentifiers, setExternalLinks, setKey, setName, toXML`

    - ### Methods inherited from interface javax.xml.registry.infomodel.ExtensibleObject

      `addSlot, addSlots, getSlot, getSlots, removeSlot, removeSlots`

    - ### Methods inherited from interface javax.xml.registry.infomodel.URIValidator

      `getValidateURI, setValidateURI`

- - ### Method Detail

    - #### getAccessURI

          String getAccessURI()
                              throws JAXRException

      Gets the URI that gives access to the service via this binding. Default is a NULL String.

      Capability Level: 0
      Returns:
        the URI that gives access to the service via this binding
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### setAccessURI

          void setAccessURI(String uri)
                            throws JAXRException

      Sets the URI that gives access to the service via this binding. The accessURI is mutually exclusive from targetBinding. JAXR Provider must throw an InvalidRequestException if an accessURI is set when there is already a non-null targetBinding defined.

      Capability Level: 0
      Parameters:
        `uri` - the URI that gives access to the service via this binding
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getTargetBinding

          ServiceBinding getTargetBinding()
                                          throws JAXRException

      Gets the next ServiceBinding in case there is a redirection from one service provider to another service provider.

      Capability Level: 0
      Returns:
        the next ServiceBinding in case there is a service redirection
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### setTargetBinding

          void setTargetBinding(ServiceBinding binding)
                                throws JAXRException

      Sets the next ServiceBinding in case there is a redirection. The targetBinding is mutually exclusive from the accessURI. JAXR Provider must throw an InvalidRequestExcpetion if a targetBinding is set when there is already a non-null accessURI defined.

      Capability Level: 0
      Parameters:
        `binding` - the target ServiceBinding to which this object is redirected to
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getService

          Service getService()
                             throws JAXRException

      Gets the parent service for which this is a binding.

      Capability Level: 0
      Returns:
        the parent Service object
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### addSpecificationLink

          void addSpecificationLink(SpecificationLink specificationLink)
                                    throws JAXRException

      Adds a child SpecificationLink.

      Capability Level: 0
      Parameters:
        `specificationLink` - the SpecificationLink being added
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### addSpecificationLinks

          void addSpecificationLinks(Collection specificationLinks)
                                     throws JAXRException

      Adds a Collection of SpecificationLink children.

      Capability Level: 0
      Parameters:
        `specificationLinks` - the Collection of SpecificationLinks being added
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### removeSpecificationLink

          void removeSpecificationLink(SpecificationLink specificationLink)
                                       throws JAXRException

      Removes a child SpecificationLink.

      Capability Level: 0
      Parameters:
        `specificationLink` - the SpecificationLink being removed
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### removeSpecificationLinks

          void removeSpecificationLinks(Collection specificationLinks)
                                        throws JAXRException

      Removes a Collection of children SpecificationLinks.

      Capability Level: 0
      Parameters:
        `specificationLinks` - the Collection of SpecificationLinks being removed
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getSpecificationLinks

          Collection getSpecificationLinks()
                                           throws JAXRException

      Gets all children SpecificationLinks.

      Capability Level: 0
      Returns:
        Collection of SpecificationLink instances. The Collection may be empty but not null.
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error
      See Also:
        `SpecificationLink`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.